Class::MOP::Object(3)

NAME
Class::MOP::Object - Base class for metaclasses

VERSION
version 2.0602

DESCRIPTION
This class is a very minimal base class for metaclasses.

METHODS
This class provides a few methods which are useful in all metaclasses.

Class::MOP::???->meta
    This returns a Class::MOP::Class object.

$metaobject->dump($max_depth)
    This method uses Data::Dumper to dump the object. You can pass an optional maximum depth, which will set $Data::Dumper::Maxdepth. The default maximum depth is 1.

AUTHOR
Moose is maintained by the Moose Cabal, along with the help of many contributors. See "CABAL" in Moose and "CONTRIBUTORS" in Moose for details.

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Infinity Interactive, Inc..

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.